Class | Bio::KEGG::DRUG
In: | lib/bio/db/kegg/drug.rb
Parent: | KEGGDB

### Methods

activity comment dblinks entry_id formula kcf mass name names new pathways remark

### Constants

DELIMITER | = | RS = "\n///\n"
TAGSIZE | = | 12

### Public Class methods

new(entry)

[Source]

        # File lib/bio/db/kegg/drug.rb, line 20
    20:   def initialize(entry)
    21:     super(entry, TAGSIZE)
    22:   end

### Public Instance methods

activity()

ACTIVITY

[Source]

        # File lib/bio/db/kegg/drug.rb, line 49
    49:   def activity
    50:     field_fetch('ACTIVITY')
    51:   end

comment()

COMMENT

[Source]

        # File lib/bio/db/kegg/drug.rb, line 59
    59:   def comment
    60:     field_fetch('COMMENT')
    61:   end

dblinks()

DBLINKS

[Source]

        # File lib/bio/db/kegg/drug.rb, line 69
    69:   def dblinks
    70:     lines_fetch('DBLINKS')
    71:   end

entry_id()

ENTRY

[Source]

        # File lib/bio/db/kegg/drug.rb, line 25
    25:   def entry_id
    26:     field_fetch('ENTRY')[/\S+/]
    27:   end

formula()

FORMULA

[Source]

        # File lib/bio/db/kegg/drug.rb, line 39
    39:   def formula
    40:     field_fetch('FORMULA')
    41:   end

kcf()

ATOM, BOND

[Source]

        # File lib/bio/db/kegg/drug.rb, line 74
    74:   def kcf
    75:     return "#{get('ATOM')}#{get('BOND')}"
    76:   end

mass()

MASS

[Source]

        # File lib/bio/db/kegg/drug.rb, line 44
    44:   def mass
    45:     field_fetch('MASS').to_f
    46:   end

name()

[Source]

        # File lib/bio/db/kegg/drug.rb, line 34
    34:   def name
    35:     names.first
    36:   end

names()

NAME

[Source]

        # File lib/bio/db/kegg/drug.rb, line 30
    30:   def names
    31:     field_fetch('NAME').split(/\s*;\s*/)
    32:   end

pathways()

PATHWAY

[Source]

        # File lib/bio/db/kegg/drug.rb, line 64
    64:   def pathways
    65:     lines_fetch('DBLINKS')
    66:   end

remark()

REMARK

[Source]

        # File lib/bio/db/kegg/drug.rb, line 54
    54:   def remark
    55:     field_fetch('REMARK')
    56:   end

[Validate]